Cabal-3.10.1.0: A framework for packaging Haskell software

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Types.ComponentInclude

Synopsis

- data ComponentInclude id rn = ComponentInclude {
  - ci_ann_id :: AnnotatedId id
  - ci_renaming :: rn
  - ci_implicit :: Bool
  }
- ci_id :: ComponentInclude id rn -> id
- ci_pkgid :: ComponentInclude id rn -> PackageId
- ci_cname :: ComponentInclude id rn -> ComponentName

# Documentation

data ComponentInclude id rn Source #

Constructors

ComponentInclude |

Fields

- ci_ann_id :: AnnotatedId id
- ci_renaming :: rn
- ci_implicit :: Bool

  Did this come from an entry in `mixins`, or was implicitly generated by `build-depends`?

ci_id :: ComponentInclude id rn -> id Source #

ci_pkgid :: ComponentInclude id rn -> PackageId Source #

ci_cname :: ComponentInclude id rn -> ComponentName Source #

This should always return `CLibName` or `CSubLibName`